package net.carbon.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.carbon.model.po.TimelyWarningDO;
import net.carbon.model.request.TimelyWarningRequest;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;


@Mapper
public interface TimelyWarningMapper extends BaseMapper<TimelyWarningDO> {

    @Insert("insert into timely_warning (name, unit, data, direction) values " +
            "(#{name},#{unit},#{data},#{direction})")
    void add(TimelyWarningRequest timelyWarningRequest);
}