package net.carbon.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 *
 * </p>
 *
 * @author jieyuu
 * @since 2024-12-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class CarbonVO {

    private String city;

    private BigDecimal wastewaterDischargeTotal;

    private BigDecimal airQualityAchievementRate;

    private BigDecimal gdpElectricityConsumption;

    private BigDecimal wasteResourceIndustryValue;

    private BigDecimal forestCoverageRate;

    private BigDecimal ecologicalIndex;

    private BigDecimal importExportTotal;

    private Integer foreignInvestmentEnterprises;

}
