package net.carbon.service;

import com.baomidou.mybatisplus.extension.service.IService;
import net.carbon.bean.PageResponse;
import net.carbon.model.po.LabelDO;
import net.carbon.model.request.LabelUpdateRequest;
import net.carbon.model.vo.LabelVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 碳排放-城市高质量发展指标体系-标签表 服务类
 * </p>
 *
 * @author jieyuu
 * @since 2025-02-19
 */
public interface LabelService extends IService<LabelDO> {

    PageResponse<LabelVO> getList(Long pageSize, Long current);

    int delete(Long id);

    int updateById(LabelUpdateRequest labelUpdateReq);

    int add(LabelUpdateRequest labelUpdateRequest);
}
